# Interface AsyncCallback.MultiCallback

All Superinterfaces:
  `AsyncCallback`

Enclosing interface:
  `AsyncCallback`

@Public public static interface AsyncCallback.MultiCallback extends AsyncCallback
This callback is used to process the multiple results from a single multi call.

## Nested Class Summary

### Nested classes/interfaces inherited from interface AsyncCallback

`AsyncCallback.ACLCallback, AsyncCallback.AllChildrenNumberCallback, AsyncCallback.Children2Callback, AsyncCallback.ChildrenCallback, AsyncCallback.Create2Callback, AsyncCallback.DataCallback, AsyncCallback.EphemeralsCallback, AsyncCallback.MultiCallback, AsyncCallback.StatCallback, AsyncCallback.StringCallback, AsyncCallback.VoidCallback`

## Method Summary

Modifier and Type
Method
Description
`void`
`processResult(int rc, String path, Object ctx, List<OpResult> opResults)`
Process the result of the asynchronous call.

## Method Details

### processResult

void processResult(int rc, String path, Object ctx, List<OpResult> opResults)
Process the result of the asynchronous call.

On success, rc is `KeeperException.Code.OK`. All `opResults` are non-`OpResult.ErrorResult`.

On failure, rc is a failure code in `KeeperException.Code`. Either `opResults` is null, or all `opResults` are `OpResult.ErrorResult`. All operations will be rolled back even if operations before the failing one were successful.

Parameters:
  `rc` - The return code or the result of the call.
  `path` - The path that we passed to asynchronous calls.
  `ctx` - Whatever context object that we passed to asynchronous calls.
  `opResults` - The list of results. One result for each operation, and the order matches that of input.
See Also:
  - `ZooKeeper.multi(Iterable, AsyncCallback.MultiCallback, Object)`